Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2670::/12
First address
2670::
Last address
267f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2670:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
7.6.2.ip6.arpa
Split into smaller subnets/24

2670::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
12670::/242670:ff:ffff:ffff:ffff:ffff:ffff:ffff
22670:100::/242670:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32670:200::/242670:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42670:300::/242670:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52670:400::/242670:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62670:500::/242670:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72670:600::/242670:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82670:700::/242670:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92670:800::/242670:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102670:900::/242670:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112670:a00::/242670:aff:ffff:ffff:ffff:ffff:ffff:ffff
122670:b00::/242670:bff:ffff:ffff:ffff:ffff:ffff:ffff
132670:c00::/242670:cff:ffff:ffff:ffff:ffff:ffff:ffff
142670:d00::/242670:dff:ffff:ffff:ffff:ffff:ffff:ffff
152670:e00::/242670:eff:ffff:ffff:ffff:ffff:ffff:ffff
162670:f00::/242670:fff:ffff:ffff:ffff:ffff:ffff:ffff
172670:1000::/242670:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182670:1100::/242670:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192670:1200::/242670:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202670:1300::/242670:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212670:1400::/242670:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222670:1500::/242670:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232670:1600::/242670:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242670:1700::/242670:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252670:1800::/242670:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262670:1900::/242670:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272670:1a00::/242670:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282670:1b00::/242670:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292670:1c00::/242670:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302670:1d00::/242670:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312670:1e00::/242670:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322670:1f00::/242670:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332670:2000::/242670:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342670:2100::/242670:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352670:2200::/242670:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362670:2300::/242670:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372670:2400::/242670:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382670:2500::/242670:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392670:2600::/242670:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402670:2700::/242670:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412670:2800::/242670:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422670:2900::/242670:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432670:2a00::/242670:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442670:2b00::/242670:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452670:2c00::/242670:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462670:2d00::/242670:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472670:2e00::/242670:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482670:2f00::/242670:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492670:3000::/242670:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502670:3100::/242670:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512670:3200::/242670:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522670:3300::/242670:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532670:3400::/242670:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542670:3500::/242670:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552670:3600::/242670:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562670:3700::/242670:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572670:3800::/242670:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582670:3900::/242670:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592670:3a00::/242670:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602670:3b00::/242670:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612670:3c00::/242670:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622670:3d00::/242670:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632670:3e00::/242670:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642670:3f00::/242670:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652670:4000::/242670:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662670:4100::/242670:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672670:4200::/242670:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682670:4300::/242670:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692670:4400::/242670:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702670:4500::/242670:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712670:4600::/242670:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722670:4700::/242670:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732670:4800::/242670:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742670:4900::/242670:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752670:4a00::/242670:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762670:4b00::/242670:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772670:4c00::/242670:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782670:4d00::/242670:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792670:4e00::/242670:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802670:4f00::/242670:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812670:5000::/242670:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822670:5100::/242670:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832670:5200::/242670:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842670:5300::/242670:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852670:5400::/242670:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862670:5500::/242670:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872670:5600::/242670:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882670:5700::/242670:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892670:5800::/242670:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902670:5900::/242670:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912670:5a00::/242670:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922670:5b00::/242670:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932670:5c00::/242670:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942670:5d00::/242670:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952670:5e00::/242670:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962670:5f00::/242670:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972670:6000::/242670:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982670:6100::/242670:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992670:6200::/242670:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002670:6300::/242670:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012670:6400::/242670:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022670:6500::/242670:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032670:6600::/242670:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042670:6700::/242670:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052670:6800::/242670:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062670:6900::/242670:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072670:6a00::/242670:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082670:6b00::/242670:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092670:6c00::/242670:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102670:6d00::/242670:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112670:6e00::/242670:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122670:6f00::/242670:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132670:7000::/242670:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142670:7100::/242670:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152670:7200::/242670:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162670:7300::/242670:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172670:7400::/242670:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182670:7500::/242670:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192670:7600::/242670:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202670:7700::/242670:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212670:7800::/242670:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222670:7900::/242670:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232670:7a00::/242670:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242670:7b00::/242670:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252670:7c00::/242670:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262670:7d00::/242670:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272670:7e00::/242670:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282670:7f00::/242670:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292670:8000::/242670:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302670:8100::/242670:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312670:8200::/242670:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322670:8300::/242670:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332670:8400::/242670:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342670:8500::/242670:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352670:8600::/242670:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362670:8700::/242670:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372670:8800::/242670:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382670:8900::/242670:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392670:8a00::/242670:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402670:8b00::/242670:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412670:8c00::/242670:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422670:8d00::/242670:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432670:8e00::/242670:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442670:8f00::/242670:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452670:9000::/242670:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462670:9100::/242670:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472670:9200::/242670:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482670:9300::/242670:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492670:9400::/242670:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502670:9500::/242670:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512670:9600::/242670:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522670:9700::/242670:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532670:9800::/242670:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542670:9900::/242670:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552670:9a00::/242670:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562670:9b00::/242670:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572670:9c00::/242670:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582670:9d00::/242670:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592670:9e00::/242670:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602670:9f00::/242670:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612670:a000::/242670:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622670:a100::/242670:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632670:a200::/242670:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642670:a300::/242670:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652670:a400::/242670:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662670:a500::/242670:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672670:a600::/242670:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682670:a700::/242670:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692670:a800::/242670:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702670:a900::/242670:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712670:aa00::/242670:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722670:ab00::/242670:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732670:ac00::/242670:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742670:ad00::/242670:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752670:ae00::/242670:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762670:af00::/242670:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772670:b000::/242670:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782670:b100::/242670:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792670:b200::/242670:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802670:b300::/242670:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812670:b400::/242670:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822670:b500::/242670:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832670:b600::/242670:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842670:b700::/242670:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852670:b800::/242670:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862670:b900::/242670:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872670:ba00::/242670:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882670:bb00::/242670:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892670:bc00::/242670:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902670:bd00::/242670:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912670:be00::/242670:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922670:bf00::/242670:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932670:c000::/242670:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942670:c100::/242670:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952670:c200::/242670:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962670:c300::/242670:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972670:c400::/242670:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982670:c500::/242670:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992670:c600::/242670:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002670:c700::/242670:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012670:c800::/242670:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022670:c900::/242670:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032670:ca00::/242670:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042670:cb00::/242670:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052670:cc00::/242670:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062670:cd00::/242670:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072670:ce00::/242670:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082670:cf00::/242670:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092670:d000::/242670:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102670:d100::/242670:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112670:d200::/242670:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122670:d300::/242670:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132670:d400::/242670:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142670:d500::/242670:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152670:d600::/242670:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162670:d700::/242670:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172670:d800::/242670:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182670:d900::/242670:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192670:da00::/242670:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202670:db00::/242670:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212670:dc00::/242670:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222670:dd00::/242670:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232670:de00::/242670:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242670:df00::/242670:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252670:e000::/242670:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262670:e100::/242670:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272670:e200::/242670:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282670:e300::/242670:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292670:e400::/242670:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302670:e500::/242670:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312670:e600::/242670:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322670:e700::/242670:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332670:e800::/242670:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342670:e900::/242670:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352670:ea00::/242670:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362670:eb00::/242670:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372670:ec00::/242670:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382670:ed00::/242670:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392670:ee00::/242670:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402670:ef00::/242670:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412670:f000::/242670:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422670:f100::/242670:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432670:f200::/242670:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442670:f300::/242670:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452670:f400::/242670:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462670:f500::/242670:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472670:f600::/242670:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482670:f700::/242670:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492670:f800::/242670:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502670:f900::/242670:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512670:fa00::/242670:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522670:fb00::/242670:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532670:fc00::/242670:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542670:fd00::/242670:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552670:fe00::/242670:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562670:ff00::/242670:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses